Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.operation
Class TransformDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcwebservices.wcts.operation.WCTSRequestBaseDocument
              org.deegree.ogcwebservices.wcts.operation.TransformDocument

All Implemented Interfaces:
  Serializable

    public class TransformDocument

extends WCTSRequestBaseDocument

`WCTSTransformDocument` is a helper class which supplies a constructor to parse wcts Transform requests version 0.4.0.

Following elements are currently not supported:

- wcts:transformation
- wcs:GridCRS
- wcts:InterpolationType, which is of type wcs:InterpolationMethodBaseType

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wcts.operation.WCTSRequestBaseDocument
`PRE`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`TransformDocument(String requestId, Element rootElement)`

Method Summary
`Transform` | `getTransformRequest()`

Methods inherited from class org.deegree.ogcwebservices.wcts.operation.WCTSRequestBaseDocument
`parseService, parseVersion`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformDocument

    public TransformDocument(String requestId,
                             Element rootElement)
                      throws OGCWebServiceException

Parameters:
  `requestId` -
  `rootElement` - should not be `null`
Throws:
  `OGCWebServiceException` - if an `XMLParsingException` occurred or a mandatory element/attribute is missing.

Method Detail

### getTransformRequest

    public final Transform getTransformRequest()

  Returns:
    the transformRequest may be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org